package com.realnet.taxi_rental.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.taxi_rental.Entity.Feature;
import com.realnet.taxi_rental.Services.FeatureService ;






@RequestMapping(value = "/Feature")
 @CrossOrigin("*") 
@RestController
public class FeatureController {
	@Autowired
	private FeatureService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Feature")
		  public Feature Savedata(@RequestBody Feature data) {
		Feature save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Feature/{id}")
	public  Feature update(@RequestBody Feature data,@PathVariable Integer id ) {
		Feature update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Feature/getall/page")
	public Page<Feature> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Feature> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Feature")
	public List<Feature> getdetails() {
		 List<Feature> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Feature")
	public List<Feature> getallwioutsec() {
		 List<Feature> get = Service.getdetails();		
		return get;
}
@GetMapping("/Feature/{id}")
	public  Feature  getdetailsbyId(@PathVariable Integer id ) {
		Feature  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Feature/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}